Get Transfers

This API retrieves a list of payments for different payment types such as ACH, WIRE, SWIFT, INTERNAL, FXPAY, and CARD.

The status of the payments can be filtered by specifying one of the allowed status values.

StatusDescriptionApplicable to Transfer Type
DRAFTTransfer submitted, awaiting execution.ALL
AML_SCREENINGThe transfer is being manually reviewed by compliance due to a potential violation of limit thresholds, a mismatch in beneficiary name information, or a potential OFAC sanctions match.ALL
AML_REJECTEDThe transfer has been rejected during AML screening.ALL
EXECUTION_SCHEDULEDThe transfer is scheduled for bank processing and clearing house submission.ACH
EXECUTION_PROCESSINGOutgoing transfer sent to the bank. Awaiting ACH processing, estimated to take 3 business days for ACH.ALL
EXECUTION_SUCCESSThe transfer has been finalized. The incoming funds have been posted to the client's account, and the outgoing funds have been disbursed to the recipient's account.ALL
EXECUTION_FAILUREThe transfer could not be completed due to an error in execution.ALL
RETURNEDThe transfer has been returned.ALL
CANCELLEDOutgoing transfer canceled prior to bank submission.ACH
COMPLIANCE_FAILUREThe wire transfer has been rejected by the bank due to a compliance issue.ALL
DELETEDTransfer marked for deletion due to error.ALL
UNKNOWNIf the transfer doesn't have any of the above statusesALL

Example Requests

GET /payments/{paymentId}

Query Params
integer

Filter by specific payment ID.

string

This is Originator's Name.

string

Originator's account number.

string

Originator's bank routing code.

string

This is Recipient's Name.

string

Recipient's account number.

string

Recipient's bank routing code.

string

If you want to provide anything for reference.

string

Unique trace number for the payment.

string

This is External Id (unique).

integer

This is Client Id.

string

The date format.

string
Defaults to en

This is used for Locale language.

string
Defaults to us

Need to pass one of from - 'us' for OUTGOING, 'external party' for INCOMING.

string

The different payment types we have - ACH, WIRE, SWIFT, CARD, FXPAY, INTERNAL.

string
Defaults to null

Need to pass one of from - CREDIT, DEBIT.

date

Starting value date for the payment filter.

date

Ending value date for the payment filter.

date

Starting execution date for the payment filter.

date

Ending execution date for the payment filter.

string
Defaults to null

Need to pass any one of the Status above listed for status but it's optional.

date

This is From Return Date.

date

This is To Return Date.

integer

The offset for pagination.

integer

Fetch record limit. Default is 200.

boolean

Is it settlement. (true/false).

string
Defaults to id

By which property you want to order.

string
Defaults to DESC

Which order you want to sort. (ASC/DESC).

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json